# Request Checkout

The playground for adding crypto payments to any website, build using [Payment Widget](/advanced/request-network-sdk/sdk-demo-apps/components/payment-widget.md).

<table data-full-width="false"><thead><tr><th>Framework</th><th>Deployment</th><th>Source</th></tr></thead><tbody><tr><td>Next.js</td><td><a href="https://checkout.request.network">https://checkout.request.network</a></td><td><a href="https://github.com/RequestNetwork/rn-checkout">https://github.com/RequestNetwork/rn-checkout</a></td></tr></tbody></table>

### Payment Widget Demo Video

{% embed url="<https://youtu.be/kLEUgSH8MuQ>" %}
A video showing the Request Checkout Payment Widget .
{% endembed %}

## Features

| Feature                                                                                                                               | Status               |
| ------------------------------------------------------------------------------------------------------------------------------------- | -------------------- |
| Demo Page                                                                                                                             | :white\_check\_mark: |
| Playground Page                                                                                                                       | :white\_check\_mark: |
| ERC20 Payments                                                                                                                        | :white\_check\_mark: |
| Native Token Payments                                                                                                                 | :white\_check\_mark: |
| Fiat Price Conversion in the UI                                                                                                       | :white\_check\_mark: |
| [rnf\_invoice format](https://github.com/RequestNetwork/requestNetwork/tree/master/packages/data-format/src/format/rnf_invoice) 0.3.0 | :white\_check\_mark: |
| Configure Logo and Colors                                                                                                             | :white\_check\_mark: |
| Inject your own custom currency list                                                                                                  | :white\_check\_mark: |
| Download Receipt as PDF                                                                                                               | :white\_check\_mark: |

## Chains and Currencies

| Chain           | Currencies                                                                                  |
| --------------- | ------------------------------------------------------------------------------------------- |
| Ethereum        | USDC, USDT, DAI, AXS, AUDIO, RAI, SYLO, LDO, UST, MNT, MIR, INJ, OCEAN, ANKR, RLY, REQ, ETH |
| Polygon         | USDC, USDT, DAI, MATIC                                                                      |
| Sepolia         | FAU, ETH, USDT, USDC                                                                        |
| BNB Smart Chain | DAI, BUSD                                                                                   |
| Gnosis          | USDC                                                                                        |
| Avalanche       | USDC, USDT, AVAX                                                                            |
| Optimism        | USDC, USDT, DAI, ETH                                                                        |
| Moonbeam        | USDC (multichain), USDC (wormhole)                                                          |
| Fantom          | FTM                                                                                         |
| zkSync Era      | ETH                                                                                         |
| Base            | ETH                                                                                         |

### Payment Widget Integration Video

{% embed url="<https://www.youtube.com/watch?v=voeZY4lodQw>" %}
A video showing the Request Checkout Payment Widget integration.
{% endembed %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://legacy.docs.request.network/advanced/request-network-sdk/sdk-demo-apps/request-checkout.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
